Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516405 - Missing parameter 'memSize' after starting VM that was restored from snapshot with memory
Summary: Missing parameter 'memSize' after starting VM that was restored from snapshot...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.20.4
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.2.0
: ---
Assignee: Francesco Romani
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 14:55 UTC by Raz Tamir
Modified: 2017-12-20 11:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-20 11:38:40 UTC
oVirt Team: Virt
rule-engine: ovirt-4.2+
rule-engine: blocker+
rule-engine: planning_ack+
michal.skrivanek: devel_ack+
ratamir: testing_ack+


Attachments (Terms of Use)
engine and vdsm logs (deleted)
2017-11-22 14:55 UTC, Raz Tamir
no flags Details
new logs (deleted)
2017-12-07 21:52 UTC, Raz Tamir
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 84590 master MERGED virt: don't validate params on incoming migration 2017-11-24 12:14:26 UTC

Description Raz Tamir 2017-11-22 14:55:49 UTC
Created attachment 1357571 [details]
engine and vdsm logs

Description of problem:

Start VM that was restored from a snapshot with memory is failing.

engine.log:
2017-11-22 16:37:05,551+02 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateBrokerVDSCommand] (default task-19) [vms_syncAction_c7ab26ca-52bd-4c79] Failed in 'CreateBrokerVDS' method
2017-11-22 16:37:05,566+02 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (default task-19) [vms_syncAction_c7ab26ca-52bd-4c79] EVENT_ID: VDS_BROKER_COMMAND_FAILURE(10,802), VDSM host_mixed_1 command CreateBrokerVDS failed: Missing required parameter: {'params': {'restoreState': {'device': 'disk', 'imageID': '4a839ec9-2640-4523-afef-766457f0a4d3', 'domainID': 'e56f0d91-dd94-4ff0-9987-bb8cd18b45d2', 'volumeID': '4aa0f65e-4ff2-406f-8046-194d1253aade', 'poolID': '6fe5811e-8571-488e-b7d8-52e585da97ce'}, '_srcDomXML': '<domain type=\'kvm\'>\n  <name>vm_TestCase5138_2216320655</name>\n  <uuid>a03cd0d5-e70e-46dd-824e-98bd899b9d50</uuid>\n  <metadata xmlns:ns0="http://ovirt.org/vm/tune/1.0" xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n    <ns0:qos/>\n    <ovirt-vm:vm xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n      <ovirt-vm:clusterVersion>4.2</ovirt-vm:clusterVersion>\n      <ovirt-vm:destroy_on_reboot type="bool">False</ovirt-vm:destroy_on_reboot>\n      <ovirt-vm:launchPaused>false</ovirt-vm:launchPaused>\n      <ovirt-vm:memGuaranteedSize type="int">1024</ovirt-vm:memGuaranteedSize>\n      <ovirt-vm:minGuaranteedMemoryMb type="int">1024</ovirt-vm:minGuaranteedMemoryMb>\n      <ovirt-vm:resumeBehavior>auto_resume</ovirt-vm:resumeBehavior>\n      <ovirt-vm:startTime type="float">1511361187.27</ovirt-vm:startTime>\n      <ovirt-vm:device mac_address="00:1a:4a:16:26:09">\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n      <ovirt-vm:device devtype="disk" name="vda">\n        <ovirt-vm:domainID>e56f0d91-dd94-4ff0-9987-bb8cd18b45d2</ovirt-vm:domainID>\n        <ovirt-vm:imageID>8b5768b7-c866-499f-9ad1-6dced93eada5</ovirt-vm:imageID>\n        <ovirt-vm:poolID>6fe5811e-8571-488e-b7d8-52e585da97ce</ovirt-vm:poolID>\n        <ovirt-vm:volumeID>83ab781f-666a-430c-9782-860ad84eb525</ovirt-vm:volumeID>\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n    </ovirt-vm:vm>\n  </metadata>\n  <maxMemory slots=\'16\' unit=\'KiB\'>4194304</maxMemory>\n  <memory unit=\'KiB\'>1048576</memory>\n  <currentMemory unit=\'KiB\'>1048576</currentMemory>\n  <vcpu placement=\'static\' current=\'1\'>16</vcpu>\n  <resource>\n    <partition>/machine</partition>\n  </resource>\n  <sysinfo type=\'smbios\'>\n    <system>\n      <entry name=\'manufacturer\'>oVirt</entry>\n      <entry name=\'product\'>oVirt Node</entry>\n      <entry name=\'version\'>7.4-18.el7</entry>\n      <entry name=\'serial\'>9F839203-96A4-423C-9653-3265A195E5DD</entry>\n      <entry name=\'uuid\'>a03cd0d5-e70e-46dd-824e-98bd899b9d50</entry>\n    </system>\n  </sysinfo>\n  <os>\n    <type arch=\'x86_64\' machine=\'pc-i440fx-rhel7.3.0\'>hvm</type>\n    <smbios mode=\'sysinfo\'/>\n  </os>\n  <features>\n    <acpi/>\n  </features>\n  <cpu mode=\'custom\' match=\'exact\' check=\'partial\'>\n    <model fallback=\'forbid\'>Conroe</model>\n    <topology sockets=\'16\' cores=\'1\' threads=\'1\'/>\n    <numa>\n      <cell id=\'0\' cpus=\'0\' memory=\'1048576\' unit=\'KiB\'/>\n    </numa>\n  </cpu>\n  <clock offset=\'variable\' adjustment=\'0\' basis=\'utc\'>\n    <timer name=\'rtc\' tickpolicy=\'catchup\'/>\n    <timer name=\'pit\' tickpolicy=\'delay\'/>\n    <timer name=\'hpet\' present=\'no\'/>\n  </clock>\n  <on_poweroff>destroy</on_poweroff>\n  <on_reboot>restart</on_reboot>\n  <on_crash>destroy</on_crash>\n  <pm>\n    <suspend-to-mem enabled=\'no\'/>\n    <suspend-to-disk enabled=\'no\'/>\n  </pm>\n  <devices>\n    <emulator>/usr/libexec/qemu-kvm</emulator>\n    <disk type=\'file\' device=\'cdrom\'>\n      <driver name=\'qemu\' type=\'raw\'/>\n      <source startupPolicy=\'optional\'/>\n      <target dev=\'hdc\' bus=\'ide\'/>\n      <readonly/>\n      <address type=\'drive\' controller=\'0\' bus=\'1\' target=\'0\' unit=\'0\'/>\n    </disk>\n    <disk type=\'block\' device=\'disk\' snapshot=\'no\'>\n      <driver name=\'qemu\' type=\'qcow2\' cache=\'none\' error_policy=\'stop\' io=\'native\'/>\n      <source dev=\'/rhev/data-center/mnt/blockSD/e56f0d91-dd94-4ff0-9987-bb8cd18b45d2/images/8b5768b7-c866-499f-9ad1-6dced93eada5/83ab781f-666a-430c-9782-860ad84eb525\'/>\n      <target dev=\'vda\' bus=\'virtio\'/>\n      <serial>8b5768b7-c866-499f-9ad1-6dced93eada5</serial>\n      <boot order=\'1\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x07\' function=\'0x0\'/>\n    </disk>\n    <controller type=\'virtio-serial\' index=\'0\' ports=\'16\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x05\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'scsi\' index=\'0\' model=\'virtio-scsi\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x06\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'ide\' index=\'0\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x01\' function=\'0x1\'/>\n    </controller>\n    <interface type=\'bridge\'>\n      <mac address=\'00:1a:4a:16:26:09\'/>\n      <source bridge=\'ovirtmgmt\'/>\n      <model type=\'virtio\'/>\n      <filterref filter=\'vdsm-no-mac-spoofing\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x03\' function=\'0x0\'/>\n    </interface>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/a03cd0d5-e70e-46dd-824e-98bd899b9d50.ovirt-guest-agent.0\'/>\n      <target type=\'virtio\' name=\'ovirt-guest-agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'1\'/>\n    </channel>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/a03cd0d5-e70e-46dd-824e-98bd899b9d50.org.qemu.guest_agent.0\'/>\n      <target type=\'virtio\' name=\'org.qemu.guest_agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'2\'/>\n    </channel>\n    <channel type=\'spicevmc\'>\n      <target type=\'virtio\' name=\'com.redhat.spice.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'3\'/>\n    </channel>\n    <input type=\'mouse\' bus=\'ps2\'/>\n    <graphics type=\'spice\' autoport=\'yes\' defaultMode=\'secure\' passwd=\'*****\' passwdValidTo=\'1970-01-01T00:00:01\'>\n      <listen type=\'network\' network=\'vdsm-ovirtmgmt\'/>\n    </graphics>\n    <sound model=\'ich6\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x04\' function=\'0x0\'/>\n    </sound>\n    <video>\n      <model type=\'qxl\' ram=\'65536\' vram=\'8192\' vgamem=\'16384\' heads=\'1\' primary=\'yes\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x02\' function=\'0x0\'/>\n    </video>\n    <memballoon model=\'virtio\'>\n      <stats period=\'5\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x08\' function=\'0x0\'/>\n    </memballoon>\n    <rng model=\'virtio\'>\n      <backend model=\'random\'>/dev/urandom</backend>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x09\' function=\'0x0\'/>\n    </rng>\n  </devices>\n  <seclabel type=\'dyn:


vdsm.log:

2017-11-22 16:37:05,545+0200 ERROR (jsonrpc/2) [api] FINISH create error=Missing required parameter: {'params': {'restoreState': {'device': 'disk', 'imageID': '4a839ec9-2640-4523-afef-766457f0a4d3', 'domainID': 'e5
6f0d91-dd94-4ff0-9987-bb8cd18b45d2', 'volumeID': '4aa0f65e-4ff2-406f-8046-194d1253aade', 'poolID': '6fe5811e-8571-488e-b7d8-52e585da97ce'}, '_srcDomXML': '<domain type=\'kvm\'>\n  <name>vm_TestCase5138_2216320655</
name>\n  <uuid>a03cd0d5-e70e-46dd-824e-98bd899b9d50</uuid>\n  <metadata xmlns:ns0="http://ovirt.org/vm/tune/1.0" xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n    <ns0:qos/>\n    <ovirt-vm:vm xmlns:ovirt-vm="http://ov
irt.org/vm/1.0">\n      <ovirt-vm:clusterVersion>4.2</ovirt-vm:clusterVersion>\n      <ovirt-vm:destroy_on_reboot type="bool">False</ovirt-vm:destroy_on_reboot>\n      <ovirt-vm:launchPaused>false</ovirt-vm:launchP
aused>\n      <ovirt-vm:memGuaranteedSize type="int">1024</ovirt-vm:memGuaranteedSize>\n      <ovirt-vm:minGuaranteedMemoryMb type="int">1024</ovirt-vm:minGuaranteedMemoryMb>\n      <ovirt-vm:resumeBehavior>auto_re
sume</ovirt-vm:resumeBehavior>\n      <ovirt-vm:startTime type="float">1511361187.27</ovirt-vm:startTime>\n      <ovirt-vm:device mac_address="00:1a:4a:16:26:09">\n        <ovirt-vm:specParams/>\n        <ovirt-vm:
vm_custom/>\n      </ovirt-vm:device>\n      <ovirt-vm:device devtype="disk" name="vda">\n        <ovirt-vm:domainID>e56f0d91-dd94-4ff0-9987-bb8cd18b45d2</ovirt-vm:domainID>\n        <ovirt-vm:imageID>8b5768b7-c866
-499f-9ad1-6dced93eada5</ovirt-vm:imageID>\n        <ovirt-vm:poolID>6fe5811e-8571-488e-b7d8-52e585da97ce</ovirt-vm:poolID>\n        <ovirt-vm:volumeID>83ab781f-666a-430c-9782-860ad84eb525</ovirt-vm:volumeID>\n    
    <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n    </ovirt-vm:vm>\n  </metadata>\n  <maxMemory slots=\'16\' unit=\'KiB\'>4194304</maxMemory>\n  <memory unit=\'KiB\'>1048576</me
mory>\n  <currentMemory unit=\'KiB\'>1048576</currentMemory>\n  <vcpu placement=\'static\' current=\'1\'>16</vcpu>\n  <resource>\n    <partition>/machine</partition>\n  </resource>\n  <sysinfo type=\'smbios\'>\n   
 <system>\n      <entry name=\'manufacturer\'>oVirt</entry>\n      <entry name=\'product\'>oVirt Node</entry>\n      <entry name=\'version\'>7.4-18.el7</entry>\n      <entry name=\'serial\'>9F839203-96A4-423C-9653-
3265A195E5DD</entry>\n      <entry name=\'uuid\'>a03cd0d5-e70e-46dd-824e-98bd899b9d50</entry>\n    </system>\n  </sysinfo>\n  <os>\n    <type arch=\'x86_64\' machine=\'pc-i440fx-rhel7.3.0\'>hvm</type>\n    <smbios 
mode=\'sysinfo\'/>\n  </os>\n  <features>\n    <acpi/>\n  </features>\n  <cpu mode=\'custom\' match=\'exact\' check=\'partial\'>\n    <model fallback=\'forbid\'>Conroe</model>\n    <topology sockets=\'16\' cores=\'
1\' threads=\'1\'/>\n    <numa>\n      <cell id=\'0\' cpus=\'0\' memory=\'1048576\' unit=\'KiB\'/>\n    </numa>\n  </cpu>\n  <clock offset=\'variable\' adjustment=\'0\' basis=\'utc\'>\n    <timer name=\'rtc\' tickp
olicy=\'catchup\'/>\n    <timer name=\'pit\' tickpolicy=\'delay\'/>\n    <timer name=\'hpet\' present=\'no\'/>\n  </clock>\n  <on_poweroff>destroy</on_poweroff>\n  <on_reboot>restart</on_reboot>\n  <on_crash>destro
y</on_crash>\n  <pm>\n    <suspend-to-mem enabled=\'no\'/>\n    <suspend-to-disk enabled=\'no\'/>\n  </pm>\n  <devices>\n    <emulator>/usr/libexec/qemu-kvm</emulator>\n    <disk type=\'file\' device=\'cdrom\'>\n  
    <driver name=\'qemu\' type=\'raw\'/>\n      <source startupPolicy=\'optional\'/>\n      <target dev=\'hdc\' bus=\'ide\'/>\n      <readonly/>\n      <address type=\'drive\' controller=\'0\' bus=\'1\' target=\'0\
' unit=\'0\'/>\n    </disk>\n    <disk type=\'block\' device=\'disk\' snapshot=\'no\'>\n      <driver name=\'qemu\' type=\'qcow2\' cache=\'none\' error_policy=\'stop\' io=\'native\'/>\n      <source dev=\'/rhev/dat
a-center/mnt/blockSD/e56f0d91-dd94-4ff0-9987-bb8cd18b45d2/images/8b5768b7-c866-499f-9ad1-6dced93eada5/83ab781f-666a-430c-9782-860ad84eb525\'/>\n      <target dev=\'vda\' bus=\'virtio\'/>\n      <serial>8b5768b7-c86
6-499f-9ad1-6dced93eada5</serial>\n      <boot order=\'1\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x07\' function=\'0x0\'/>\n    </disk>\n    <controller type=\'virtio-serial\' index=\
'0\' ports=\'16\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x05\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'scsi\' index=\'0\' model=\'virtio-scsi\'>\n      <address t
ype=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x06\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'ide\' index=\'0\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x01\' function=\'0x1\'/>\n    </controller>\n    <interface type=\'bridge\'>\n      <mac address=\'00:1a:4a:16:26:09\'/>\n      <source bridge=\'ovirtmgmt\'/>\n      <model type=\'virtio\'/>\n      <filterref filter=\'vdsm-no-mac-spoofing\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x03\' function=\'0x0\'/>\n    </interface>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/a03cd0d5-e70e-46dd-824e-98bd899b9d50.ovirt-guest-agent.0\'/>\n      <target type=\'virtio\' name=\'ovirt-guest-agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'1\'/>\n    </channel>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/a03cd0d5-e70e-46dd-824e-98bd899b9d50.org.qemu.guest_agent.0\'/>\n      <target type=\'virtio\' name=\'org.qemu.guest_agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'2\'/>\n    </channel>\n    <channel type=\'spicevmc\'>\n      <target type=\'virtio\' name=\'com.redhat.spice.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'3\'/>\n    </channel>\n    <input type=\'mouse\' bus=\'ps2\'/>\n    <graphics type=\'spice\' autoport=\'yes\' defaultMode=\'secure\' passwd=\'*****\' passwdValidTo=\'1970-01-01T00:00:01\'>\n      <listen type=\'network\' network=\'vdsm-ovirtmgmt\'/>\n    </graphics>\n    <sound model=\'ich6\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x04\' function=\'0x0\'/>\n    </sound>\n    <video>\n      <model type=\'qxl\' ram=\'65536\' vram=\'8192\' vgamem=\'16384\' heads=\'1\' primary=\'yes\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x02\' function=\'0x0\'/>\n    </video>\n    <memballoon model=\'virtio\'>\n      <stats period=\'5\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x08\' function=\'0x0\'/>\n    </memballoon>\n    <rng model=\'virtio\'>\n      <backend model=\'random\'>/dev/urandom</backend>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x09\' function=\'0x0\'/>\n    </rng>\n  </devices>\n  <seclabel type=\'dynamic\' model=\'selinux\' relabel=\'yes\'/>\n</domain>\n', 'elapsedTimeOffset': 171.51079988479614, 'vmId': None, 'restoreFromSnapshot': True}, 'missing': ['memSize']} (api:124)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/vdsm/common/api.py", line 117, in method
    ret = func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/vdsm/API.py", line 205, in create
    self._validate_vm_params(vmParams)
  File "/usr/lib/python2.7/site-packages/vdsm/API.py", line 227, in _validate_vm_params
    validate.require_keys(vmParams, ('vmId', 'memSize'))
  File "/usr/lib/python2.7/site-packages/vdsm/common/validate.py", line 29, in require_keys
    raise exception.MissingParameter(missing=missing, params=params)
MissingParameter: Missing required parameter: {'params': {'restoreState': {'device': 'disk', 'imageID': '4a839ec9-2640-4523-afef-766457f0a4d3', 'domainID': 'e56f0d91-dd94-4ff0-9987-bb8cd18b45d2', 'volumeID': '4aa0f65e-4ff2-406f-8046-194d1253aade', 'poolID': '6fe5811e-8571-488e-b7d8-52e585da97ce'}, '_srcDomXML': '<domain type=\'kvm\'>\n  <name>vm_TestCase5138_2216320655</name>\n  <uuid>a03cd0d5-e70e-46dd-824e-98bd899b9d50</uuid>\n  <metadata xmlns:ns0="http://ovirt.org/vm/tune/1.0" xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n    <ns0:qos/>\n    <ovirt-vm:vm xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n      <ovirt-vm:clusterVersion>4.2</ovirt-vm:clusterVersion>\n      <ovirt-vm:destroy_on_reboot type="bool">False</ovirt-vm:destroy_on_reboot>\n      <ovirt-vm:launchPaused>false</ovirt-vm:launchPaused>\n      <ovirt-vm:memGuaranteedSize type="int">1024</ovirt-vm:memGuaranteedSize>\n      <ovirt-vm:minGuaranteedMemoryMb type="int">1024</ovirt-vm:minGuaranteedMemoryMb>\n      <ovirt-vm:resumeBehavior>auto_resume</ovirt-vm:resumeBehavior>\n      <ovirt-vm:startTime type="float">1511361187.27</ovirt-vm:startTime>\n      <ovirt-vm:device mac_address="00:1a:4a:16:26:09">\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n      <ovirt-vm:device devtype="disk" name="vda">\n        <ovirt-vm:domainID>e56f0d91-dd94-4ff0-9987-bb8cd18b45d2</ovirt-vm:domainID>\n        <ovirt-vm:imageID>8b5768b7-c866-499f-9ad1-6dced93eada5</ovirt-vm:imageID>\n        <ovirt-vm:poolID>6fe5811e-8571-488e-b7d8-52e585da97ce</ovirt-vm:poolID>\n        <ovirt-vm:volumeID>83ab781f-666a-430c-9782-860ad84eb525</ovirt-vm:volumeID>\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom:




Version-Release number of selected component (if applicable):
vdsm-4.20.7-55.git11440d6.el7.centos.x86_64
vdsm-api-4.20.7-55.git11440d6.el7.centos.noarch
ovirt-engine-4.2.0-0.0.master.20171121184703.git173fe83.el7.centos.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create a VM with OS
2. start VM and create snapshot with memory
3. Preview + commit that snapshot
4. start the VM

Actual results:


Expected results:


Additional info:
Regression - https://bugzilla.redhat.com/show_bug.cgi?id=1507511

Comment 1 Yaniv Kaul 2017-11-22 15:54:55 UTC
Perhaps a virt issue related to libvirt XML?

Comment 2 Arik 2017-11-22 17:01:48 UTC
(In reply to Yaniv Kaul from comment #1)
> Perhaps a virt issue related to libvirt XML?

Seems so.
We indeed don't send anything besides the 'xml' attribute now, and in particular we don't send the 'memSize' attribute, but it seems that the 'xml' attribute is not persisted into the metadata volume and so VDSM invokes the legacy validation that is not supposed to pass anymore when it restores the data from the metadata volume.

Comment 3 Francesco Romani 2017-11-22 17:56:39 UTC
That's weird, should have been fixed by 66971d3a8

Comment 4 Francesco Romani 2017-11-22 18:09:37 UTC
(In reply to Francesco Romani from comment #3)
> That's weird, should have been fixed by 66971d3a8

Ah, I see. The "if" added in 66971d3a8 looks for the "xml" key - we should extend this check to work also with "_srcDomXML" key. We should move all the checks in a function, something like

  def has_xml_configuration(params):
    return "xml" in params or "_srcDomXML" in params

  and then in API.py:

  if not has_xml_configuration(vmParams):
    self._validate_vm_params(vmParams)
    self._fix_vm_params(vmParams)

we should not import vm.py in API.py, so, lacking a better place, we could put the new function in lib/vdsm/virt/utils.py

Comment 5 Arik 2017-11-22 18:15:06 UTC
(In reply to Francesco Romani from comment #4)
> (In reply to Francesco Romani from comment #3)
>   def has_xml_configuration(params):
>     return "xml" in params or "_srcDomXML" in params
> 

IIUC the _srcDomXML is there also for snapshots taken before 4.2, that's the libvirt xml without the metadata that vdsm relies on, and in that case this function should return a negative value, right?

Comment 6 Francesco Romani 2017-11-23 07:32:36 UTC
(In reply to Arik from comment #5)
> (In reply to Francesco Romani from comment #4)
> > (In reply to Francesco Romani from comment #3)
> >   def has_xml_configuration(params):
> >     return "xml" in params or "_srcDomXML" in params
> > 
> 
> IIUC the _srcDomXML is there also for snapshots taken before 4.2, that's the
> libvirt xml without the metadata that vdsm relies on, and in that case this
> function should return a negative value, right?

True. In that case we need to do one additional check to see if the metadata is present or not.

Comment 7 Francesco Romani 2017-11-24 13:33:08 UTC
patch merged, to appear in Vdsm 4.20.9 -> MODIFIED

Comment 8 Francesco Romani 2017-11-28 12:47:12 UTC
user should never see this, thus doesn't deserve a doc_text.

Comment 9 Raz Tamir 2017-11-29 16:24:07 UTC
Moving back to MODIFIED as we don't have 4.20.9 yet and our tests failed

Comment 10 Raz Tamir 2017-12-07 21:16:55 UTC
Passed automation run over rhvm-4.2.0-0.6.el7

Verified

Comment 11 Raz Tamir 2017-12-07 21:49:17 UTC
Failed in different execution.

logs attached:

engine.log:

2017-12-07 18:20:28,588+02 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateBrokerVDSCommand] (default task-8) [vms_syncAction_557a9e66-b79b-477c] Failed in 'CreateBrokerVDS' method
2017-12-07 18:20:28,592+02 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (default task-8) [vms_syncAction_557a9e66-b79b-477c] EVENT_ID: VDS_BROKER_COMMAND_FAILURE(10,802), VDSM host_mixed_1 command CreateBrokerVDS failed: Missing required parameter: {'params': {'restoreState': {'device': 'disk', 'imageID': u'77b6aa97-8a9f-4257-9b2a-9300429d86e9', 'domainID': u'83867428-033d-4533-a4db-f2775c115dae', 'volumeID': u'2de66900-b444-483f-a41c-c03d99296fcb', 'poolID': u'3b9183e3-39a7-464a-babf-79fde40b577b'}, '_srcDomXML': '<domain type=\'kvm\'>\n  <name>vm_TestCase5138_0718161138</name>\n  <uuid>1fcbc43b-1499-4aeb-8741-43bd05a44168</uuid>\n  <metadata xmlns:ns0="http://ovirt.org/vm/tune/1.0" xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n    <ns0:qos/>\n    <ovirt-vm:vm xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n      <ovirt-vm:clusterVersion>4.2</ovirt-vm:clusterVersion>\n      <ovirt-vm:destroy_on_reboot type="bool">False</ovirt-vm:destroy_on_reboot>\n      <ovirt-vm:launchPaused>false</ovirt-vm:launchPaused>\n      <ovirt-vm:memGuaranteedSize type="int">1024</ovirt-vm:memGuaranteedSize>\n      <ovirt-vm:minGuaranteedMemoryMb type="int">1024</ovirt-vm:minGuaranteedMemoryMb>\n      <ovirt-vm:resumeBehavior>auto_resume</ovirt-vm:resumeBehavior>\n      <ovirt-vm:startTime type="float">1512663395.07</ovirt-vm:startTime>\n      <ovirt-vm:device mac_address="00:1a:4a:16:88:a7">\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n      <ovirt-vm:device devtype="disk" name="vda">\n        <ovirt-vm:domainID>83867428-033d-4533-a4db-f2775c115dae</ovirt-vm:domainID>\n        <ovirt-vm:imageID>d2dac463-bdb7-493b-83c0-337865c79794</ovirt-vm:imageID>\n        <ovirt-vm:poolID>3b9183e3-39a7-464a-babf-79fde40b577b</ovirt-vm:poolID>\n        <ovirt-vm:volumeID>e90f216a-2161-4735-bf36-5c39e02372f3</ovirt-vm:volumeID>\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n    </ovirt-vm:vm>\n  </metadata>\n  <maxMemory slots=\'16\' unit=\'KiB\'>4194304</maxMemory>\n  <memory unit=\'KiB\'>1048576</memory>\n  <currentMemory unit=\'KiB\'>1048576</currentMemory>\n  <vcpu placement=\'static\' current=\'1\'>16</vcpu>\n  <resource>\n    <partition>/machine</partition>\n  </resource>\n  <sysinfo type=\'smbios\'>\n    <system>\n      <entry name=\'manufacturer\'>oVirt</entry>\n      <entry name=\'product\'>RHEV Hypervisor</entry>\n      <entry name=\'version\'>7.4-0.5.el7</entry>\n      <entry name=\'serial\'>4C4C4544-0047-3210-8053-C4C04F473632</entry>\n      <entry name=\'uuid\'>1fcbc43b-1499-4aeb-8741-43bd05a44168</entry>\n    </system>\n  </sysinfo>\n  <os>\n    <type arch=\'x86_64\' machine=\'pc-i440fx-rhel7.3.0\'>hvm</type>\n    <smbios mode=\'sysinfo\'/>\n  </os>\n  <features>\n    <acpi/>\n  </features>\n  <cpu mode=\'custom\' match=\'exact\' check=\'partial\'>\n    <model fallback=\'forbid\'>Westmere</model>\n    <topology sockets=\'16\' cores=\'1\' threads=\'1\'/>\n    <numa>\n      <cell id=\'0\' cpus=\'0\' memory=\'1048576\' unit=\'KiB\'/>\n    </numa>\n  </cpu>\n  <clock offset=\'variable\' adjustment=\'0\' basis=\'utc\'>\n    <timer name=\'rtc\' tickpolicy=\'catchup\'/>\n    <timer name=\'pit\' tickpolicy=\'delay\'/>\n    <timer name=\'hpet\' present=\'no\'/>\n  </clock>\n  <on_poweroff>destroy</on_poweroff>\n  <on_reboot>restart</on_reboot>\n  <on_crash>destroy</on_crash>\n  <pm>\n    <suspend-to-mem enabled=\'no\'/>\n    <suspend-to-disk enabled=\'no\'/>\n  </pm>\n  <devices>\n    <emulator>/usr/libexec/qemu-kvm</emulator>\n    <disk type=\'file\' device=\'cdrom\'>\n      <driver name=\'qemu\' type=\'raw\'/>\n      <source startupPolicy=\'optional\'/>\n      <target dev=\'hdc\' bus=\'ide\'/>\n      <readonly/>\n      <address type=\'drive\' controller=\'0\' bus=\'1\' target=\'0\' unit=\'0\'/>\n    </disk>\n    <disk type=\'file\' device=\'disk\' snapshot=\'no\'>\n      <driver name=\'qemu\' type=\'qcow2\' cache=\'none\' error_policy=\'stop\' io=\'threads\'/>\n      <source file=\'/rhev/data-center/mnt/glusterSD/gluster01.scl.lab.tlv.redhat.com:_GE__13__volume03/83867428-033d-4533-a4db-f2775c115dae/images/d2dac463-bdb7-493b-83c0-337865c79794/e90f216a-2161-4735-bf36-5c39e02372f3\'/>\n      <target dev=\'vda\' bus=\'virtio\'/>\n      <serial>d2dac463-bdb7-493b-83c0-337865c79794</serial>\n      <boot order=\'1\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x07\' function=\'0x0\'/>\n    </disk>\n    <controller type=\'virtio-serial\' index=\'0\' ports=\'16\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x05\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'scsi\' index=\'0\' model=\'virtio-scsi\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x06\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'ide\' index=\'0\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x01\' function=\'0x1\'/>\n    </controller>\n    <interface type=\'bridge\'>\n      <mac address=\'00:1a:4a:16:88:a7\'/>\n      <source bridge=\'ovirtmgmt\'/>\n      <model type=\'virtio\'/>\n      <filterref filter=\'vdsm-no-mac-spoofing\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x03\' function=\'0x0\'/>\n    </interface>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/1fcbc43b-1499-4aeb-8741-43bd05a44168.ovirt-guest-agent.0\'/>\n      <target type=\'virtio\' name=\'ovirt-guest-agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'1\'/>\n    </channel>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/1fcbc43b-1499-4aeb-8741-43bd05a44168.org.qemu.guest_agent.0\'/>\n      <target type=\'virtio\' name=\'org.qemu.guest_agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'2\'/>\n    </channel>\n    <channel type=\'spicevmc\'>\n      <target type=\'virtio\' name=\'com.redhat.spice.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'3\'/>\n    </channel>\n    <input type=\'mouse\' bus=\'ps2\'/>\n    <graphics type=\'spice\' autoport=\'yes\' defaultMode=\'secure\' passwd=\'*****\' passwdValidTo=\'1970-01-01T00:00:01\'>\n      <listen type=\'network\' network=\'vdsm-ovirtmgmt\'/>\n    </graphics>\n    <sound model=\'ich6\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x04\' function=\'0x0\'/>\n    </sound>\n    <video>\n      <model type=\'qxl\' ram=\'65536\' vram=\'8192\' vgamem=\'16384\' heads=\'1\' primary=\'yes\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x02\' function=\'0x0\'/>\n    </video>\n    <memballoon model=\'virtio\'>\n      <stats period=\'5\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x08\' function=\'0x0\'/>\n    </memballoon>\n    <rng model=\'virtio\'>\n      <backend model=\'random\'>/dev/urandom</backend>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x09\' function=\'0x0\'/>\n    </rng>\n  </devices>\n  <seclabel type=\'dynamic\' model=\'selinux\' relabel=\'yes\'/>\n</domain>\n', 'elapsedTimeOffset': 179.97178292274475, 'vmId': None, 'restoreFromSnapshot': True}, 'missing': ['memSize']}
2017-12-07 18:20:28,592+02 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateBrokerVDSCommand] (default task-8) [vms_syncAction_557a9e66-b79b-477c] Command 'org.ovirt.engine.core.vdsbroker.vdsbroker.CreateBrokerVDSCommand' return value 'org.ovirt.engine.core.vdsbroker.vdsbroker.OneVmReturn@7f17e9f0'
2017-12-07 18:20:28,592+02 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateBrokerVDSCommand] (default task-8) [vms_syncAction_557a9e66-b79b-477c] HostName = host_mixed_1
2017-12-07 18:20:28,592+02 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateBrokerVDSCommand] (default task-8) [vms_syncAction_557a9e66-b79b-477c] Command 'CreateBrokerVDSCommand(HostName = host_mixed_1, CreateVDSCommandParameters:{hostId='aab88c4d-e954-499f-9869-172ea23905dd', vmId='1fcbc43b-1499-4aeb-8741-43bd05a44168', vm='VM [vm_TestCase5138_0718161138]'})' execution failed: VDSGenericException: VDSErrorException: Failed to CreateBrokerVDS, error = Missing required parameter: {'params': {'restoreState': {'device': 'disk', 'imageID': u'77b6aa97-8a9f-4257-9b2a-9300429d86e9', 'domainID': u'83867428-033d-4533-a4db-f2775c115dae', 'volumeID': u'2de66900-b444-483f-a41c-c03d99296fcb', 'poolID': u'3b9183e3-39a7-464a-babf-79fde40b577b'}, '_srcDomXML': '<domain type=\'kvm\'>\n  <name>vm_TestCase5138_0718161138</name>\n  <uuid>1fcbc43b-1499-4aeb-8741-43bd05a44168</uuid>\n  <metadata xmlns:ns0="http://ovirt.org/vm/tune/1.0" xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n    <ns0:qos/>\n    <ovirt-vm:vm xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n      <ovirt-vm:clusterVersion>4.2</ovirt-vm:clusterVersion>\n      <ovirt-vm:destroy_on_reboot type="bool">False</ovirt-vm:destroy_on_reboot>\n      <ovirt-vm:launchPaused>false</ovirt-vm:launchPaused>\n      <ovirt-vm:memGuaranteedSize type="int">1024</ovirt-vm:memGuaranteedSize>\n      <ovirt-vm:minGuaranteedMemoryMb type="int">1024</ovirt-vm:minGuaranteedMemoryMb>\n      <ovirt-vm:resumeBehavior>auto_resume</ovirt-vm:resumeBehavior>\n      <ovirt-vm:startTime type="float">1512663395.07</ovirt-vm:startTime>\n      <ovirt-vm:device mac_address="00:1a:4a:16:88:a7">\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n      <ovirt-vm:device devtype="disk" name="vda">\n        <ovirt-vm:domainID>83867428-033d-4533-a4db-f2775c115dae</ovirt-vm:domainID>\n        <ovirt-vm:imageID>d2dac463-bdb7-493b-83c0-337865c79794</ovirt-vm:imageID>\n        <ovirt-vm:poolID>3b9183e3-39a7-464a-babf-79fde40b577b</ovirt-vm:poolID>\n        <ovirt-vm:volumeID>e90f216a-2161-4735-bf36-5c39e02372f3</ovirt-vm:volumeID>\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n    </ovirt-vm:vm>\n  </metadata>\n  <maxMemory slots=\'16\' unit=\'KiB\'>4194304</maxMemory>\n  <memory unit=\'KiB\'>1048576</memory>\n  <currentMemory unit=\'KiB\'>1048576</currentMemory>\n  <vcpu placement=\'static\' current=\'1\'>16</vcpu>\n  <resource>\n    <partition>/machine</partition>\n  </resource>\n  <sysinfo type=\'smbios\'>\n    <system>\n      <entry name=\'manufacturer\'>oVirt</entry>\n      <entry name=\'product\'>RHEV Hypervisor</entry>\n      <entry name=\'version\'>7.4-0.5.el7</entry>\n      <entry name=\'serial\'>4C4C4544-0047-3210-8053-C4C04F473632</entry>\n      <entry name=\'uuid\'>1fcbc43b-1499-4aeb-8741-43bd05a44168</entry>\n    </system>\n  </sysinfo>\n  <os>\n    <type arch=\'x86_64\' machine=\'pc-i440fx-rhel7.3.0\'>hvm</type>\n    <smbios mode=\'sysinfo\'/>\n  </os>\n  <features>\n    <acpi/>\n  </features>\n  <cpu mode=\'custom\' match=\'exact\' check=\'partial\'>\n    <model fallback=\'forbid\'>Westmere</model>\n    <topology sockets=\'16\' cores=\'1\' threads=\'1\'/>\n    <numa>\n      <cell id=\'0\' cpus=\'0\' memory=\'1048576\' unit=\'KiB\'/>\n    </numa>\n  </cpu>\n  <clock offset=\'variable\' adjustment=\'0\' basis=\'utc\'>\n    <timer name=\'rtc\' tickpolicy=\'catchup\'/>\n    <timer name=\'pit\' tickpolicy=\'delay\'/>\n    <timer name=\'hpet\' present=\'no\'/>\n  </clock>\n  <on_poweroff>destroy</on_poweroff>\n  <on_reboot>restart</on_reboot>\n  <on_crash>destroy</on_crash>\n  <pm>\n    <suspend-to-mem enabled=\'no\'/>\n    <suspend-to-disk enabled=\'no\'/>\n  </pm>\n  <devices>\n    <emulator>/usr/libexec/qemu-kvm</emulator>\n    <disk type=\'file\' device=\'cdrom\'>\n      <driver name=\'qemu\' type=\'raw\'/>\n      <source startupPolicy=\'optional\'/>\n      <target dev=\'hdc\' bus=\'ide\'/>\n      <readonly/>\n      <address type=\'drive\' controller=\'0\' bus=\'1\' target=\'0\' unit=\'0\'/>\n    </disk>\n    <disk type=\'file\' device=\'disk\' snapshot=\'no\'>\n      <driver name=\'qemu\' type=\'qcow2\' cache=\'none\' error_policy=\'stop\' io=\'threads\'/>\n      <source file=\'/rhev/data-center/mnt/glusterSD/gluster01.scl.lab.tlv.redhat.com:_GE__13__volume03/83867428-033d-4533-a4db-f2775c115dae/images/d2dac463-bdb7-493b-83c0-337865c79794/e90f216a-2161-4735-bf36-5c39e02372f3\'/>\n      <target dev=\'vda\' bus=\'virtio\'/>\n      <serial>d2dac463-bdb7-493b-83c0-337865c79794</serial>\n      <boot order=\'1\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x07\' function=\'0x0\'/>\n    </disk>\n    <controller type=\'virtio-serial\' index=\'0\' ports=\'16\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x05\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'scsi\' index=\'0\' model=\'virtio-scsi\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x06\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'ide\' index=\'0\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x01\' function=\'0x1\'/>\n    </controller>\n    <interface type=\'bridge\'>\n      <mac address=\'00:1a:4a:16:88:a7\'/>\n      <source bridge=\'ovirtmgmt\'/>\n      <model type=\'virtio\'/>\n      <filterref filter=\'vdsm-no-mac-spoofing\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x03\' function=\'0x0\'/>\n    </interface>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/1fcbc43b-1499-4aeb-8741-43bd05a44168.ovirt-guest-agent.0\'/>\n      <target type=\'virtio\' name=\'ovirt-guest-agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'1\'/>\n    </channel>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/1fcbc43b-1499-4aeb-8741-43bd05a44168.org.qemu.guest_agent.0\'/>\n      <target type=\'virtio\' name=\'org.qemu.guest_agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'2\'/>\n    </channel>\n    <channel type=\'spicevmc\'>\n      <target type=\'virtio\' name=\'com.redhat.spice.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'3\'/>\n    </channel>\n    <input type=\'mouse\' bus=\'ps2\'/>\n    <graphics type=\'spice\' autoport=\'yes\' defaultMode=\'secure\' passwd=\'*****\' passwdValidTo=\'1970-01-01T00:00:01\'>\n      <listen type=\'network\' network=\'vdsm-ovirtmgmt\'/>\n    </graphics>\n    <sound model=\'ich6\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x04\' function=\'0x0\'/>\n    </sound>\n    <video>\n      <model type=\'qxl\' ram=\'65536\' vram=\'8192\' vgamem=\'16384\' heads=\'1\' primary=\'yes\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x02\' function=\'0x0\'/>\n    </video>\n    <memballoon model=\'virtio\'>\n      <stats period=\'5\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x08\' function=\'0x0\'/>\n    </memballoon>\n    <rng model=\'virtio\'>\n      <backend model=\'random\'>/dev/urandom</backend>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x09\' function=\'0x0\'/>\n    </rng>\n  </devices>\n  <seclabel type=\'dynamic\' model=\'selinux\' relabel=\'yes\'/>\n</domain>\n', 'elapsedTimeOffset': 179.97178292274475, 'vmId': None, 'restoreFromSnapshot': True}, 'missing': ['memSize']}, code = 11
2017-12-07 18:20:28,592+02 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateBrokerVDSCommand] (default task-8) [vms_syncAction_557a9e66-b79b-477c] FINISH, CreateBrokerVDSCommand, log id: 379b8458
2017-12-07 18:20:28,592+02 ERROR [org.ovirt.engine.core.vdsbroker.CreateVDSCommand] (default task-8) [vms_syncAction_557a9e66-b79b-477c] VDS::create Failed creating vm 'vm_TestCase5138_0718161138' in vds = 'aab88c4d-e954-499f-9869-172ea23905dd' error = 'org.ovirt.engine.core.vdsbroker.vdsbroker.VDSErrorException: VDSGenericException: VDSErrorException: Failed to CreateBrokerVDS, error = Missing required parameter: {'params': {'restoreState': {'device': 'disk', 'imageID': u'77b6aa97-8a9f-4257-9b2a-9300429d86e9', 'domainID': u'83867428-033d-4533-a4db-f2775c115dae', 'volumeID': u'2de66900-b444-483f-a41c-c03d99296fcb', 'poolID': u'3b9183e3-39a7-464a-babf-79fde40b577b'}, '_srcDomXML': '<domain type=\'kvm\'>\n  <name>vm_TestCase5138_0718161138</name>\n  <uuid>1fcbc43b-1499-4aeb-8741-43bd05a44168</uuid>\n  <metadata xmlns:ns0="http://ovirt.org/vm/tune/1.0" xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n    <ns0:qos/>\n    <ovirt-vm:vm xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n      <ovirt-vm:clusterVersion>4.2</ovirt-vm:clusterVersion>\n      <ovirt-vm:destroy_on_reboot type="bool">False</ovirt-vm:destroy_on_reboot>\n      <ovirt-vm:launchPaused>false</ovirt-vm:launchPaused>\n      <ovirt-vm:memGuaranteedSize type="int">1024</ovirt-vm:memGuaranteedSize>\n      <ovirt-vm:minGuaranteedMemoryMb type="int">1024</ovirt-vm:minGuaranteedMemoryMb>\n      <ovirt-vm:resumeBehavior>auto_resume</ovirt-vm:resumeBehavior>\n      <ovirt-vm:startTime type="float">1512663395.07</ovirt-vm:startTime>\n      <ovirt-vm:device mac_address="00:1a:4a:16:88:a7">\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n      <ovirt-vm:device devtype="disk" name="vda">\n        <ovirt-vm:domainID>83867428-033d-4533-a4db-f2775c115dae</ovirt-vm:domainID>\n        <ovirt-vm:imageID>d2dac463-bdb7-493b-83c0-337865c79794</ovirt-vm:imageID>\n        <ovirt-vm:poolID>3b9183e3-39a7-464a-babf-79fde40b577b</ovirt-vm:poolID>\n        <ovirt-vm:volumeID>e90f216a-2161-4735-bf36-5c39e02372f3</ovirt-vm:volumeID>\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n    </ovirt-vm:vm>\n  </metadata>\n  <maxMemory slots=\'16\' unit=\'KiB\'>4194304</maxMemory>\n  <memory unit=\'KiB\'>1048576</memory>\n  <currentMemory unit=\'KiB\'>1048576</currentMemory>\n  <vcpu placement=\'static\' current=\'1\'>16</vcpu>\n  <resource>\n    <partition>/machine</partition>\n  </resource>\n  <sysinfo type=\'smbios\'>\n    <system>\n      <entry name=\'manufacturer\'>oVirt</entry>\n      <entry name=\'product\'>RHEV Hypervisor</entry>\n      <entry name=\'version\'>7.4-0.5.el7</entry>\n      <entry name=\'serial\'>4C4C4544-0047-3210-8053-C4C04F473632</entry>\n      <entry name=\'uuid\'>1fcbc43b-1499-4aeb-8741-43bd05a44168</entry>\n    </system>\n  </sysinfo>\n  <os>\n    <type arch=\'x86_64\' machine=\'pc-i440fx-rhel7.3.0\'>hvm</type>\n    <smbios mode=\'sysinfo\'/>\n  </os>\n  <features>\n    <acpi/>\n  </features>\n  <cpu mode=\'custom\' match=\'exact\' check=\'partial\'>\n    <model fallback=\'forbid\'>Westmere</model>\n    <topology sockets=\'16\' cores=\'1\' threads=\'1\'/>\n    <numa>\n      <cell id=\'0\' cpus=\'0\' memory=\'1048576\' unit=\'KiB\'/>\n    </numa>\n  </cpu>\n  <clock offset=\'variable\' adjustment=\'0\' basis=\'utc\'>\n    <timer name=\'rtc\' tickpolicy=\'catchup\'/>\n    <timer name=\'pit\' tickpolicy=\'delay\'/>\n    <timer name=\'hpet\' present=\'no\'/>\n  </clock>\n  <on_poweroff>destroy</on_poweroff>\n  <on_reboot>restart</on_reboot>\n  <on_crash>destroy</on_crash>\n  <pm>\n    <suspend-to-mem enabled=\'no\'/>\n    <suspend-to-disk enabled=\'no\'/>\n  </pm>\n  <devices>\n    <emulator>/usr/libexec/qemu-kvm</emulator>\n    <disk type=\'file\' device=\'cdrom\'>\n      <driver name=\'qemu\' type=\'raw\'/>\n      <source startupPolicy=\'optional\'/>\n      <target dev=\'hdc\' bus=\'ide\'/>\n      <readonly/>\n      <address type=\'drive\' controller=\'0\' bus=\'1\' target=\'0\' unit=\'0\'/>\n    </disk>\n    <disk type=\'file\' device=\'disk\' snapshot=\'no\'>\n      <driver name=\'qemu\' type=\'qcow2\' cache=\'none\' error_policy=\'stop\' io=\'threads\'/>\n      <source file=\'/rhev/data-center/mnt/glusterSD/gluster01.scl.lab.tlv.redhat.com:_GE__13__volume03/83867428-033d-4533-a4db-f2775c115dae/images/d2dac463-bdb7-493b-83c0-337865c79794/e90f216a-2161-4735-bf36-5c39e02372f3\'/>\n      <target dev=\'vda\' bus=\'virtio\'/>\n      <serial>d2dac463-bdb7-493b-83c0-337865c79794</serial>\n      <boot order=\'1\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x07\' function=\'0x0\'/>\n    </disk>\n    <controller type=\'virtio-serial\' index=\'0\' ports=\'16\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x05\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'scsi\' index=\'0\' model=\'virtio-scsi\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x06\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'ide\' index=\'0\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x01\' function=\'0x1\'/>\n    </controller>\n    <interface type=\'bridge\'>\n      <mac address=\'00:1a:4a:16:88:a7\'/>\n      <source bridge=\'ovirtmgmt\'/>\n      <model type=\'virtio\'/>\n      <filterref filter=\'vdsm-no-mac-spoofing\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x03\' function=\'0x0\'/>\n    </interface>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/1fcbc43b-1499-4aeb-8741-43bd05a44168.ovirt-guest-agent.0\'/>\n      <target type=\'virtio\' name=\'ovirt-guest-agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'1\'/>\n    </channel>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/1fcbc43b-1499-4aeb-8741-43bd05a44168.org.qemu.guest_agent.0\'/>\n      <target type=\'virtio\' name=\'org.qemu.guest_agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'2\'/>\n    </channel>\n    <channel type=\'spicevmc\'>\n      <target type=\'virtio\' name=\'com.redhat.spice.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'3\'/>\n    </channel>\n    <input type=\'mouse\' bus=\'ps2\'/>\n    <graphics type=\'spice\' autoport=\'yes\' defaultMode=\'secure\' passwd=\'*****\' passwdValidTo=\'1970-01-01T00:00:01\'>\n      <listen type=\'network\' network=\'vdsm-ovirtmgmt\'/>\n    </graphics>\n    <sound model=\'ich6\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x04\' function=\'0x0\'/>\n    </sound>\n    <video>\n      <model type=\'qxl\' ram=\'65536\' vram=\'8192\' vgamem=\'16384\' heads=\'1\' primary=\'yes\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x02\' function=\'0x0\'/>\n    </video>\n    <memballoon model=\'virtio\'>\n      <stats period=\'5\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x08\' function=\'0x0\'/>\n    </memballoon>\n    <rng model=\'virtio\'>\n      <backend model=\'random\'>/dev/urandom</backend>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x09\' function=\'0x0\'/>\n    </rng>\n  </devices>\n  <seclabel type=\'dynamic\' model=\'selinux\' relabel=\'yes\'/>\n</domain>\n', 'elapsedTimeOffset': 179.97178292274475, 'vmId': None, 'restoreFromSnapshot': True}, 'missing': ['memSize']}, code = 11'

vdsm.log:

2017-12-07 18:20:28,585+0200 ERROR (jsonrpc/3) [api] FINISH create error=Missing required parameter: {'params': {'restoreState': {'device': 'disk', 'imageID': u'77b6aa97-8a9f-4257-9b2a-9300429d86e9', 'domainID': u'83867428-033d-4533-a4db-f2775c115dae', 'volumeID': u'2de66900-b444-483f-a41c-c03d99296fcb', 'poolID': u'3b9183e3-39a7-464a-babf-79fde40b577b'}, '_srcDomXML': '<domain type=\'kvm\'>\n  <name>vm_TestCase5138_0718161138</name>\n  <uuid>1fcbc43b-1499-4aeb-8741-43bd05a44168</uuid>\n  <metadata xmlns:ns0="http://ovirt.org/vm/tune/1.0" xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n    <ns0:qos/>\n    <ovirt-vm:vm xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n      <ovirt-vm:clusterVersion>4.2</ovirt-vm:clusterVersion>\n      <ovirt-vm:destroy_on_reboot type="bool">False</ovirt-vm:destroy_on_reboot>\n      <ovirt-vm:launchPaused>false</ovirt-vm:launchPaused>\n      <ovirt-vm:memGuaranteedSize type="int">1024</ovirt-vm:memGuaranteedSize>\n      <ovirt-vm:minGuaranteedMemoryMb type="int">1024</ovirt-vm:minGuaranteedMemoryMb>\n      <ovirt-vm:resumeBehavior>auto_resume</ovirt-vm:resumeBehavior>\n      <ovirt-vm:startTime type="float">1512663395.07</ovirt-vm:startTime>\n      <ovirt-vm:device mac_address="00:1a:4a:16:88:a7">\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n      <ovirt-vm:device devtype="disk" name="vda">\n        <ovirt-vm:domainID>83867428-033d-4533-a4db-f2775c115dae</ovirt-vm:domainID>\n        <ovirt-vm:imageID>d2dac463-bdb7-493b-83c0-337865c79794</ovirt-vm:imageID>\n        <ovirt-vm:poolID>3b9183e3-39a7-464a-babf-79fde40b577b</ovirt-vm:poolID>\n        <ovirt-vm:volumeID>e90f216a-2161-4735-bf36-5c39e02372f3</ovirt-vm:volumeID>\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n    </ovirt-vm:vm>\n  </metadata>\n  <maxMemory slots=\'16\' unit=\'KiB\'>4194304</maxMemory>\n  <memory unit=\'KiB\'>1048576</memory>\n  <currentMemory unit=\'KiB\'>1048576</currentMemory>\n  <vcpu placement=\'static\' current=\'1\'>16</vcpu>\n  <resource>\n    <partition>/machine</partition>\n  </resource>\n  <sysinfo type=\'smbios\'>\n    <system>\n      <entry name=\'manufacturer\'>oVirt</entry>\n      <entry name=\'product\'>RHEV Hypervisor</entry>\n      <entry name=\'version\'>7.4-0.5.el7</entry>\n      <entry name=\'serial\'>4C4C4544-0047-3210-8053-C4C04F473632</entry>\n      <entry name=\'uuid\'>1fcbc43b-1499-4aeb-8741-43bd05a44168</entry>\n    </system>\n  </sysinfo>\n  <os>\n    <type arch=\'x86_64\' machine=\'pc-i440fx-rhel7.3.0\'>hvm</type>\n    <smbios mode=\'sysinfo\'/>\n  </os>\n  <features>\n    <acpi/>\n  </features>\n  <cpu mode=\'custom\' match=\'exact\' check=\'partial\'>\n    <model fallback=\'forbid\'>Westmere</model>\n    <topology sockets=\'16\' cores=\'1\' threads=\'1\'/>\n    <numa>\n      <cell id=\'0\' cpus=\'0\' memory=\'1048576\' unit=\'KiB\'/>\n    </numa>\n  </cpu>\n  <clock offset=\'variable\' adjustment=\'0\' basis=\'utc\'>\n    <timer name=\'rtc\' tickpolicy=\'catchup\'/>\n    <timer name=\'pit\' tickpolicy=\'delay\'/>\n    <timer name=\'hpet\' present=\'no\'/>\n  </clock>\n  <on_poweroff>destroy</on_poweroff>\n  <on_reboot>restart</on_reboot>\n  <on_crash>destroy</on_crash>\n  <pm>\n    <suspend-to-mem enabled=\'no\'/>\n    <suspend-to-disk enabled=\'no\'/>\n  </pm>\n  <devices>\n    <emulator>/usr/libexec/qemu-kvm</emulator>\n    <disk type=\'file\' device=\'cdrom\'>\n      <driver name=\'qemu\' type=\'raw\'/>\n      <source startupPolicy=\'optional\'/>\n      <target dev=\'hdc\' bus=\'ide\'/>\n      <readonly/>\n      <address type=\'drive\' controller=\'0\' bus=\'1\' target=\'0\' unit=\'0\'/>\n    </disk>\n    <disk type=\'file\' device=\'disk\' snapshot=\'no\'>\n      <driver name=\'qemu\' type=\'qcow2\' cache=\'none\' error_policy=\'stop\' io=\'threads\'/>\n      <source file=\'/rhev/data-center/mnt/glusterSD/gluster01.scl.lab.tlv.redhat.com:_GE__13__volume03/83867428-033d-4533-a4db-f2775c115dae/images/d2dac463-bdb7-493b-83c0-337865c79794/e90f216a-2161-4735-bf36-5c39e02372f3\'/>\n      <target dev=\'vda\' bus=\'virtio\'/>\n      <serial>d2dac463-bdb7-493b-83c0-337865c79794</serial>\n      <boot order=\'1\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x07\' function=\'0x0\'/>\n    </disk>\n    <controller type=\'virtio-serial\' index=\'0\' ports=\'16\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x05\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'scsi\' index=\'0\' model=\'virtio-scsi\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x06\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'ide\' index=\'0\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x01\' function=\'0x1\'/>\n    </controller>\n    <interface type=\'bridge\'>\n      <mac address=\'00:1a:4a:16:88:a7\'/>\n      <source bridge=\'ovirtmgmt\'/>\n      <model type=\'virtio\'/>\n      <filterref filter=\'vdsm-no-mac-spoofing\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x03\' function=\'0x0\'/>\n    </interface>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/1fcbc43b-1499-4aeb-8741-43bd05a44168.ovirt-guest-agent.0\'/>\n      <target type=\'virtio\' name=\'ovirt-guest-agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'1\'/>\n    </channel>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/1fcbc43b-1499-4aeb-8741-43bd05a44168.org.qemu.guest_agent.0\'/>\n      <target type=\'virtio\' name=\'org.qemu.guest_agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'2\'/>\n    </channel>\n    <channel type=\'spicevmc\'>\n      <target type=\'virtio\' name=\'com.redhat.spice.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'3\'/>\n    </channel>\n    <input type=\'mouse\' bus=\'ps2\'/>\n    <graphics type=\'spice\' autoport=\'yes\' defaultMode=\'secure\' passwd=\'*****\' passwdValidTo=\'1970-01-01T00:00:01\'>\n      <listen type=\'network\' network=\'vdsm-ovirtmgmt\'/>\n    </graphics>\n    <sound model=\'ich6\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x04\' function=\'0x0\'/>\n    </sound>\n    <video>\n      <model type=\'qxl\' ram=\'65536\' vram=\'8192\' vgamem=\'16384\' heads=\'1\' primary=\'yes\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x02\' function=\'0x0\'/>\n    </video>\n    <memballoon model=\'virtio\'>\n      <stats period=\'5\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x08\' function=\'0x0\'/>\n    </memballoon>\n    <rng model=\'virtio\'>\n      <backend model=\'random\'>/dev/urandom</backend>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x09\' function=\'0x0\'/>\n    </rng>\n  </devices>\n  <seclabel type=\'dynamic\' model=\'selinux\' relabel=\'yes\'/>\n</domain>\n', 'elapsedTimeOffset': 179.97178292274475, 'vmId': None, 'restoreFromSnapshot': True}, 'missing': ['memSize']} (api:124)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/vdsm/common/api.py", line 117, in method
    ret = func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/vdsm/API.py", line 205, in create
    self._validate_vm_params(vmParams)
  File "/usr/lib/python2.7/site-packages/vdsm/API.py", line 227, in _validate_vm_params
    validate.require_keys(vmParams, ('vmId', 'memSize'))
  File "/usr/lib/python2.7/site-packages/vdsm/common/validate.py", line 29, in require_keys
    raise exception.MissingParameter(missing=missing, params=params)
MissingParameter: Missing required parameter: {'params': {'restoreState': {'device': 'disk', 'imageID': u'77b6aa97-8a9f-4257-9b2a-9300429d86e9', 'domainID': u'83867428-033d-4533-a4db-f2775c115dae', 'volumeID': u'2de66900-b444-483f-a41c-c03d99296fcb', 'poolID': u'3b9183e3-39a7-464a-babf-79fde40b577b'}, '_srcDomXML': '<domain type=\'kvm\'>\n  <name>vm_TestCase5138_0718161138</name>\n  <uuid>1fcbc43b-1499-4aeb-8741-43bd05a44168</uuid>\n  <metadata xmlns:ns0="http://ovirt.org/vm/tune/1.0" xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n    <ns0:qos/>\n    <ovirt-vm:vm xmlns:ovirt-vm="http://ovirt.org/vm/1.0">\n      <ovirt-vm:clusterVersion>4.2</ovirt-vm:clusterVersion>\n      <ovirt-vm:destroy_on_reboot type="bool">False</ovirt-vm:destroy_on_reboot>\n      <ovirt-vm:launchPaused>false</ovirt-vm:launchPaused>\n      <ovirt-vm:memGuaranteedSize type="int">1024</ovirt-vm:memGuaranteedSize>\n      <ovirt-vm:minGuaranteedMemoryMb type="int">1024</ovirt-vm:minGuaranteedMemoryMb>\n      <ovirt-vm:resumeBehavior>auto_resume</ovirt-vm:resumeBehavior>\n      <ovirt-vm:startTime type="float">1512663395.07</ovirt-vm:startTime>\n      <ovirt-vm:device mac_address="00:1a:4a:16:88:a7">\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n      <ovirt-vm:device devtype="disk" name="vda">\n        <ovirt-vm:domainID>83867428-033d-4533-a4db-f2775c115dae</ovirt-vm:domainID>\n        <ovirt-vm:imageID>d2dac463-bdb7-493b-83c0-337865c79794</ovirt-vm:imageID>\n        <ovirt-vm:poolID>3b9183e3-39a7-464a-babf-79fde40b577b</ovirt-vm:poolID>\n        <ovirt-vm:volumeID>e90f216a-2161-4735-bf36-5c39e02372f3</ovirt-vm:volumeID>\n        <ovirt-vm:specParams/>\n        <ovirt-vm:vm_custom/>\n      </ovirt-vm:device>\n    </ovirt-vm:vm>\n  </metadata>\n  <maxMemory slots=\'16\' unit=\'KiB\'>4194304</maxMemory>\n  <memory unit=\'KiB\'>1048576</memory>\n  <currentMemory unit=\'KiB\'>1048576</currentMemory>\n  <vcpu placement=\'static\' current=\'1\'>16</vcpu>\n  <resource>\n    <partition>/machine</partition>\n  </resource>\n  <sysinfo type=\'smbios\'>\n    <system>\n      <entry name=\'manufacturer\'>oVirt</entry>\n      <entry name=\'product\'>RHEV Hypervisor</entry>\n      <entry name=\'version\'>7.4-0.5.el7</entry>\n      <entry name=\'serial\'>4C4C4544-0047-3210-8053-C4C04F473632</entry>\n      <entry name=\'uuid\'>1fcbc43b-1499-4aeb-8741-43bd05a44168</entry>\n    </system>\n  </sysinfo>\n  <os>\n    <type arch=\'x86_64\' machine=\'pc-i440fx-rhel7.3.0\'>hvm</type>\n    <smbios mode=\'sysinfo\'/>\n  </os>\n  <features>\n    <acpi/>\n  </features>\n  <cpu mode=\'custom\' match=\'exact\' check=\'partial\'>\n    <model fallback=\'forbid\'>Westmere</model>\n    <topology sockets=\'16\' cores=\'1\' threads=\'1\'/>\n    <numa>\n      <cell id=\'0\' cpus=\'0\' memory=\'1048576\' unit=\'KiB\'/>\n    </numa>\n  </cpu>\n  <clock offset=\'variable\' adjustment=\'0\' basis=\'utc\'>\n    <timer name=\'rtc\' tickpolicy=\'catchup\'/>\n    <timer name=\'pit\' tickpolicy=\'delay\'/>\n    <timer name=\'hpet\' present=\'no\'/>\n  </clock>\n  <on_poweroff>destroy</on_poweroff>\n  <on_reboot>restart</on_reboot>\n  <on_crash>destroy</on_crash>\n  <pm>\n    <suspend-to-mem enabled=\'no\'/>\n    <suspend-to-disk enabled=\'no\'/>\n  </pm>\n  <devices>\n    <emulator>/usr/libexec/qemu-kvm</emulator>\n    <disk type=\'file\' device=\'cdrom\'>\n      <driver name=\'qemu\' type=\'raw\'/>\n      <source startupPolicy=\'optional\'/>\n      <target dev=\'hdc\' bus=\'ide\'/>\n      <readonly/>\n      <address type=\'drive\' controller=\'0\' bus=\'1\' target=\'0\' unit=\'0\'/>\n    </disk>\n    <disk type=\'file\' device=\'disk\' snapshot=\'no\'>\n      <driver name=\'qemu\' type=\'qcow2\' cache=\'none\' error_policy=\'stop\' io=\'threads\'/>\n      <source file=\'/rhev/data-center/mnt/glusterSD/gluster01.scl.lab.tlv.redhat.com:_GE__13__volume03/83867428-033d-4533-a4db-f2775c115dae/images/d2dac463-bdb7-493b-83c0-337865c79794/e90f216a-2161-4735-bf36-5c39e02372f3\'/>\n      <target dev=\'vda\' bus=\'virtio\'/>\n      <serial>d2dac463-bdb7-493b-83c0-337865c79794</serial>\n      <boot order=\'1\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x07\' function=\'0x0\'/>\n    </disk>\n    <controller type=\'virtio-serial\' index=\'0\' ports=\'16\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x05\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'scsi\' index=\'0\' model=\'virtio-scsi\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x06\' function=\'0x0\'/>\n    </controller>\n    <controller type=\'ide\' index=\'0\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x01\' function=\'0x1\'/>\n    </controller>\n    <interface type=\'bridge\'>\n      <mac address=\'00:1a:4a:16:88:a7\'/>\n      <source bridge=\'ovirtmgmt\'/>\n      <model type=\'virtio\'/>\n      <filterref filter=\'vdsm-no-mac-spoofing\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x03\' function=\'0x0\'/>\n    </interface>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/1fcbc43b-1499-4aeb-8741-43bd05a44168.ovirt-guest-agent.0\'/>\n      <target type=\'virtio\' name=\'ovirt-guest-agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'1\'/>\n    </channel>\n    <channel type=\'unix\'>\n      <source mode=\'bind\' path=\'/var/lib/libvirt/qemu/channels/1fcbc43b-1499-4aeb-8741-43bd05a44168.org.qemu.guest_agent.0\'/>\n      <target type=\'virtio\' name=\'org.qemu.guest_agent.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'2\'/>\n    </channel>\n    <channel type=\'spicevmc\'>\n      <target type=\'virtio\' name=\'com.redhat.spice.0\'/>\n      <address type=\'virtio-serial\' controller=\'0\' bus=\'0\' port=\'3\'/>\n    </channel>\n    <input type=\'mouse\' bus=\'ps2\'/>\n    <graphics type=\'spice\' autoport=\'yes\' defaultMode=\'secure\' passwd=\'*****\' passwdValidTo=\'1970-01-01T00:00:01\'>\n      <listen type=\'network\' network=\'vdsm-ovirtmgmt\'/>\n    </graphics>\n    <sound model=\'ich6\'>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x04\' function=\'0x0\'/>\n    </sound>\n    <video>\n      <model type=\'qxl\' ram=\'65536\' vram=\'8192\' vgamem=\'16384\' heads=\'1\' primary=\'yes\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x02\' function=\'0x0\'/>\n    </video>\n    <memballoon model=\'virtio\'>\n      <stats period=\'5\'/>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x08\' function=\'0x0\'/>\n    </memballoon>\n    <rng model=\'virtio\'>\n      <backend model=\'random\'>/dev/urandom</backend>\n      <address type=\'pci\' domain=\'0x0000\' bus=\'0x00\' slot=\'0x09\' function=\'0x0\'/>\n    </rng>\n  </devices>\n  <seclabel type=\'dynamic\' model=\'selinux\' relabel=\'yes\'/>\n</domain>\n', 'elapsedTimeOffset': 179.97178292274475, 'vmId': None, 'restoreFromSnapshot': True}, 'missing': ['memSize']}

Comment 12 Raz Tamir 2017-12-07 21:52:08 UTC
Created attachment 1364501 [details]
new logs

Comment 13 Arik 2017-12-07 22:27:01 UTC
(In reply to Raz Tamir from comment #11)
> Failed in different execution.

Please update VDSM on lynx22.qa.lab.tlv.redhat.com to 4.20.9 - the current version doesn't include the fix.

Comment 14 Raz Tamir 2017-12-07 22:53:12 UTC
Thanks Arik,

makes a lot of sense with comment #10

Verified

Comment 15 Sandro Bonazzola 2017-12-20 11:38:40 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.